List artifacts in the catalog
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"semantic_type": "brief",
"technical_type": "markdown",
"in_scope": true,
"display_order": 123,
"group": "<string>",
"definition_short": "<string>",
"head_version_number": 123,
"head_updated_at": "2023-11-07T05:31:56Z",
"version_count": 123,
"can_delete": true
}
]
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}Artifacts
List artifacts in the catalog
List the project’s artifact catalog (paginated). In-scope artifacts sort
before out-of-scope ones, then by display_order and slug. Requires
view permission.
GET
/
projects
/
{project_id}
/
artifacts
/
List artifacts in the catalog
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"semantic_type": "brief",
"technical_type": "markdown",
"in_scope": true,
"display_order": 123,
"group": "<string>",
"definition_short": "<string>",
"head_version_number": 123,
"head_updated_at": "2023-11-07T05:31:56Z",
"version_count": 123,
"can_delete": true
}
]
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}Authorizations
BearerAuthTokenAuth
Use Authorization: Bearer
Path Parameters
UUID of the project
Query Parameters
Filter by catalog scope membership.
Available options:
in_scope, out_of_scope, all Maximum number of results per page
Required range:
1 <= x <= 1000Number of results to skip for pagination
Required range:
x >= 0